API ReferenceAssigned Chat Topic User
Updates the AssignedChatTopicUser resource
PATCH
Updates the AssignedChatTopicUser resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
topicId*stringAssignedChatTopicUser identifier
Format
uuiduserId*stringAssignedChatTopicUser identifier
Format
uuidThe updated AssignedChatTopicUser resource
- body
mutedUntil?|Format
date-timeisMutedIndefinitely?booleanAssignedChatTopicUser resource updated
- response
id?stringFormat
uuidchatUser?lastReadMessage?|Format
uuidlastReadAt?|Format
date-timemutedUntil?|Format
date-timeisMutedIndefinitely?booleanisTopicOwner?booleanDefault
falseisUnread?booleancreatedAt?stringFormat
date-timecurl -X PATCH 'https://app.icproject.com/api/instance/demo/chat/chat-topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/chat-users/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "chatUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b", "lastReadAt": "2019-08-24T14:15:22Z", "mutedUntil": "2019-08-24T14:15:22Z", "isMutedIndefinitely": true, "isTopicOwner": false, "isUnread": true, "createdAt": "2019-08-24T14:15:22Z"}